@echo off
if "%1"=="" %0 C
if "%emtexdir%"=="" set emtexdir=%1:\EMTEX
if "%dvidrvfonts%"=="" set dvidrvfonts=%1:\TEXFONTS
:page1
cls
echo.
echo.
echo LAST HELP - ШАГ 1: корректура autoexec.bat и config.sys
echo -------------------------------------------------------------------------
echo В файле autoexec.bat вам нужно:
echo 1) добавить строку
echo    call %emtexdir%\BIN\set_texr.bat
for %%c in (tex386,Ctex386) do if %PC%==%%c goto prep
echo 2) в строке path добавить путь:
echo    %emtexdir%\BIN
goto prep1
:prep
echo 2) в строке path добавить пути:
echo    %emtexdir%\BIN;%1:\EMX\BIN
:prep1
echo В файле config.sys добавьте строку:
echo    shell = c:\command.com /p /e:1024
echo.
echo NOTES. 1) Если вы инсталлировали emTeX с помощью install.exe и были авто-
echo матически сделаны исправления, в autoexec.bat, удалите такие строки:
echo    set emtexdir=%emtexdir%
echo    set dvidrvfonts=%dvidrvfonts%
echo    set mfjobopt=%mfjobopt%
echo.
echo 2) В Windows95 командой install.exe делаются исправления в system.ini:
echo в блоке [NonWindowsApp] добавляется строка CommandEnvSize=1024
echo.
%eminst%\ask.exe Next/Quit (N/Q)?,NnтТЙйqQ
if errorlevel 5 goto end
:page2
cls
echo.
echo.
echo LAST HELP - ШАГ 2: создание стандартных английских fmt-файлов
echo -------------------------------------------------------------------------
echo Если Вы собираетесь работать  *только* на английском языке воспользуйтесь
echo файлом fmtman.bat в директории:
echo.
if "%PC%"=="" goto t01
if "%PC%"=="tex386" goto t0a
echo    %emtexdir%\TEXFMTS\FMT
goto t02
:t0a
echo    %emtexdir%\BTEXFMTS\FMT
goto t02
:t01
echo    %emtexdir%\TEXFMTS\FMT
echo    (для tex386.exe и htex386.exe -- %emtexdir%\ВTEXFMTS\FMT)
:t02
echo.
echo fmtman.bat создает форматный файл для пакета: и batch-файл для работы:
echo                    plain.fmt          Plain TeX                tex.bat
echo                    lplain.fmt         LaTeX 2.09 (LaTeX)       latex.bat
echo                    latex.fmt          LaTeX 2e*                latexe.bat
echo                    babel.fmt          LaTeX 2e + Babel         babel.bat
echo                    amstex.fmt         AmSTeX 2.0               amstex.bat
echo.
echo Если вы работаете на компьютере ниже 80386, то для btex.exe и btex186.exe
echo можете создать большие (big) версии форматов.  Batch-файлы для работы со-
echo ответственно btex.bat, blat.bat, bams.bat
echo.
echo -----
echo * LaTeX 2e работает только с (h)tex386.exe; big-версия не создается.
%eminst%\ask.exe Next/Previous/Quit (N/P/Q)?,NnтТPpзPЙйqQ
if errorlevel 9 goto end
if errorlevel 5 goto page1
:page3
cls
echo.
echo.
echo LAST HELP - ШАГ 2: создание fmt-файлов для русских документов
echo -------------------------------------------------------------------------
echo Для создания форматных файлов, подключающих русские шрифты и переносы, вос-
echo пользуйтесь файлом lhfmtman.bat в директории:
echo.
if "%PC%"=="" goto t11
if "%PC%"=="tex386" goto t1a
echo    %emtexdir%\TEXFMTS\FMT
goto t12
:t1a
echo    %emtexdir%\BTEXFMTS\FMT
goto t12
:t11
echo    %emtexdir%\TEXFMTS\FMT
echo    (для tex386.exe и htex386.exe -- %emtexdir%\ВTEXFMTS\FMT)
:t12
echo.
echo lhfmtman.bat создает форматный файл для пакета: и batch-файл для работы:
echo                      lhplain.fmt        Plain TeX                lhtex.bat
echo                      lhlplain.fmt       LaTeX 2.09 (LaTeX)       lhlatex.bat
echo                      lhlatex.fmt        LaTeX 2e*                lhlatexe.bat
echo                      lhbabel.fmt        LaTeX 2e + Babel         lhbabel.bat
echo                      lhamstex.fmt       AmSTeX                   lhamstex.bat
echo                      lhnfss.fmt         LaTeX 2.09 + NFSS1       lhnfss.bat
echo.
echo Если вы работаете на компьютере ниже 80386, то для btex.exe и btex186.exe
echo можете создать большие (big) версии форматов.  Batch-файлы для работы со-
echo ответственно lhbtex.bat, lhblat.bat, lhbams.bat, lhbnfss.bat.
echo -----
echo * LaTeX 2e работает только с (h)tex386.exe; big-версия не создается.
%eminst%\ask.exe Next/Previous/Quit (N/P/Q)?,NnтТPpзPЙйqQ
if errorlevel 9 goto end
if errorlevel 5 goto page2
:page4
cls
echo.
echo.
echo LAST HELP - ШАГ 3: создание bas-файлов для METAFONTа
echo -------------------------------------------------------------------------
echo Если вы инсталлировали METAFONT,  то для его работы вы должны создать ба-
echo зовые файлы. Для создания базовых файлов METAFONTа, воспользуйтесь файлом
echo basman.bat, который находится в директории:
echo.
if "%PC%"=="" goto m11
if "%PC%"=="tex386" goto m1a
echo    %emtexdir%\MFBASES\BAS
goto m12
:m1a
echo    %emtexdir%\BMFBASES\BAS
goto m12
:m11
echo    %emtexdir%\MFBASES\BAS
echo    (для mf386.exe -- %emtexdir%\ВMFBASES\BAS)
:m12
echo.
echo basman.bat создает базовые файлы plain.bas  и  cm.bas,  которые позволяют
echo генерировать все стандартные и кириллические шрифты.
echo.
echo.
echo.
echo.
%eminst%\ask.exe Next/Previous/Quit (N/P/Q)?,NnтТPpзPЙйqQ
if errorlevel 9 goto end
if errorlevel 5 goto page3
:page5
cls
echo.
echo.
echo LAST HELP - РАБОТА: обработка TeX-файлов с помощью emTeX Steward
echo -------------------------------------------------------------------------
echo После создания форматных файлов Вы можете обрабатывать файлы в TeXe.
echo.
echo Для обработки файлов TeXом  (а также для последующего просмотра и печати)
echo Вы можете воспользоваться batch-файлом steward.bat  (emTeX Steward*)  до-
echo полнительная помощь и инструкции для работы  с этим файлом могут быть по-
echo лучены при его работе. Для этого надо задать в командной строке:
echo.
echo    steward /h
echo.
echo emTeX Steward использует в работе имена bat-файлов, созданных  при работе
echo fmtman.bat и lhfmtman.bat:
echo.
echo пакет и batch-файлы: *английский только* и *русско-английский* документы:
echo Plain TeX             tex.bat               lhtex.bat
echo LaTeX 2.09 (LaTeX)    latex.bat             lhlatex.bat
echo LaTeX 2e              latexe.bat            lhlatexe.bat
echo LaTeX 2e + Babel      babel.bat             lhbabel.bat
echo AmSTeX                amstex.bat            lhamstex.bat
echo LaTeX 2.09 + NFSS1    (absent)              lhnfss.bat
%eminst%\ask.exe Next/Previous/Quit (N/P/Q)?,NnтТPpзPЙйqQ
if errorlevel 9 goto end
if errorlevel 5 goto page4
:page6
cls
echo.
echo.
echo LAST HELP - РАБОТА: просмотр/печать DVI
echo -------------------------------------------------------------------------
echo Для просмотра и печати созданных DVI-файлов можно воспользоваться bat-фай-
echo лами:
echo    v_lh.bat* - файл просмотра с использованием выбранных вами шрифтов.
echo    p_lh.bat* - файл печати на соответствующий принтер.
echo.
echo EmTeX Steward позволяет использовать несколько шрифтов для  просмотра/пе-
echo чати (см. emTeX Steward help).
echo.
echo Если Вы собираетесь пользоваться другим принтером/шрифтами  Вы можете от-
echo редактировать файлы p_lh.bat и v_lh.bat или одну из пар файлов:
echo    vx_lh.bat/px_lh.bat - 9-точечный матричный принтер
echo    vq_lh.bat/pq_lh.bat - 24-точечный матричный принтер
echo    vl_lh.bat/pl_lh.bat - лазерный принтер 300dpi
echo    vh_lh.bat/ph_lh.bat - лазерный принтер 600dpi
echo.
echo Вы можете также отредактировать файл  %emtexdir%\DATA\view.cnf  для более
echo удобного просмотра на вашем компьютере.
echo -----
echo *  Имена этих bat-файлов использует в работе emTeX Steward (steward.bat).
%eminst%\ask.exe Next/Previous/Quit (N/P/Q)?,NnтТPpзPЙйqQ
if errorlevel 9 goto end
if errorlevel 5 goto page5
:page7
cls
echo.
echo.
echo LAST HELP - ШРИФТЫ: инсталляция
echo -------------------------------------------------------------------------
echo Инсталляция (cinstall.bat) позволяет скопировать уже созданные библиотеки
echo шрифтов в директорию %dvidrvfonts%.  Раскрытые шрифты (файлы *.pk) должны
if "%FNT%"=="0" goto mfj1
if "%FNT%"=="" goto mfj1
echo находиться в соответсвующей поддиректории: %dvidrvfonts%\PIXEL.%FNT%.
goto mfj2
:mfj1
echo находиться в соответсвующей поддиректории, напр: %dvidrvfonts%\PIXEL.LJ.
:mfj2
echo.
echo Если Вы хотите поместить шрифты на другой диск/директорию  (не рекоменду-
echo ется) после инсталляции передвиньте ее и исправьте в set_texr.bat:
echo.
echo    set dvidrvfonts=%dvidrvfonts%
echo.
echo Для создания нужных шрифтов  и  шрифтовых библиотек воспользуйтесь batch-
echo файлом  fontcook.bat  (METAFONT Cook)  дополнительная помощь и инструкции
echo могут быть получены при работе с этим файлом и в файле makefn98.doc.
echo.
echo NOTE. По умолчанию рабочая  директория для  создания  шрифтов,  NEWFONTS,
echo создается на C. Для создания шрифтов на другом диске, вам нужно в строке:
echo.
echo    def target=[c:\newfonts];
echo.
echo файла %emtexdir%\MFJOB\modes.mfj поменять "c" на имя нужного диска.
%eminst%\ask.exe Next/Previous/Quit (N/P/Q)?,NnтТPpзPЙйqQ
if errorlevel 9 goto end
if errorlevel 5 goto page6
:page8
cls
echo.
echo.
echo LAST HELP - font installation
echo -------------------------------------------------------------------------
echo Основной пакет emTeX поддерживает сейчас множество нестандартных принтеров.
echo Если вы должны использовать нестандартные шрифты, которые не поддерживают-
echo ся CyrTUG-дополнением,  вам нужно,  для успешной  работы  со шрифтами LH в
echo cnf-файл,  предназначенный  для   вашего   принтера,   скопировать  строку
echo "+virtual-fonts=..." из любого файла  *_lh?.cnf  и  отредактировать строки
echo "+font-libraries=..." и "+font-files=..." по аналогии с этим файлом. Затем
echo имя этого файла добавить в файлы v_lh.bat или p_lh.bat.
echo.
echo NOTE. Для создания нестандартных шрифтов  вы также можете  воспользоваться
echo файлом FontCook.bat,для этого вам нужно в директории MFJob отредактировать
echo файлы, например basefx.mfj, morefx.mfj, blhfx.mfj, bmsfx.mfj (для создания
echo шрифтов  для  матричного  принтера 240DPI),  вместо "fx" подставить нужные
echo шрифты  (см. подробнее документацию  в %emtexdir%\DOC\ENGLISH\: mfjob.doc,
echo metafont.doc). Теперь вы, запустив FontCook.bat, выбираете 9-точечный мат-
echo ричный принтер для работы. Внимание! При работе FontCook создаются библио-
echo теки fx_base.fli, fx_more, fx_blh.fli, fx_bms.fli. Вам нужно либо переиме-
echo новать эти библиотеки по имени вашего принтера, либо отредактировать стро-
echo ку "+font-libraries=..." нужного вам сnf-файла.
echo.
%eminst%\ask.exe Next/Previous/Quit (N/P/Q)?,NnтТPpзPЙйqQ
if errorlevel 9 goto end
if errorlevel 5 goto page7
:page9
cls
echo.
echo.
echo.
echo LAST HELP - ШРИФТЫ: семейство кириллических шрифтов LH
echo -------------------------------------------------------------------------
echo Кириллические шрифты LH, которые предлагаются данной инсталляцией, отлича-
echo ются от шрифтов версии 1994 года. ВСЕ метрические файлы (*.vf и *.tfm), а
echo также шрифты (и библиотеки) старой и новой версий НЕСОВМЕСТИМЫ.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
%eminst%\ask.exe Next/Previous/Quit (N/P/Q)?,NnтТPpзPЙйqQ
if errorlevel 9 goto end
if errorlevel 5 goto page8
:page10
cls
echo.
echo.
echo.
echo LAST HELP - ДОКУМЕНТАЦИЯ
echo -------------------------------------------------------------------------
echo.
echo Более подробно с работой CyrTUG-emTeX98 можно ознакомиться в файлах:
echo.
echo    readme98.rus -- документация по инсталляции основного emTeXа и его до-
echo                    полнения CyrTUG-emTeX98;
echo.
echo    makefn98.rus -- документация по созданию шрифтов.
echo.
echo.
echo.
echo.
echo.
%eminst%\ask.exe Previous/Quit (P/Q)?,PpзPЙйqQ
if errorlevel 5 goto end
goto page9

:end
cls
